org.eclipse.microprofile.reactive.messaging.spi

## Enum ConnectorAttribute.Direction

- java.lang.Object
- - java.lang.Enum<ConnectorAttribute.Direction>
  - - org.eclipse.microprofile.reactive.messaging.spi.ConnectorAttribute.Direction

All Implemented Interfaces:
  Serializable, Comparable<ConnectorAttribute.Direction>

Enclosing class:
  ConnectorAttribute

    public static enum ConnectorAttribute.Direction
    extends Enum<ConnectorAttribute.Direction>

Attribute direction.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`INCOMING` Attribute related to an incoming connector, like a deserializer.
`INCOMING_AND_OUTGOING` Attribute used for both directions.
`OUTGOING` Attribute related to an outgoing connector, like a serializer.

### Method Summary

All Methods Static Methods Concrete Methods
`static ConnectorAttribute.Direction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ConnectorAttribute.Direction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### INCOMING

    public static final ConnectorAttribute.Direction INCOMING

Attribute related to an incoming connector, like a deserializer.

#### OUTGOING

    public static final ConnectorAttribute.Direction OUTGOING

Attribute related to an outgoing connector, like a serializer.

#### INCOMING_AND_OUTGOING

    public static final ConnectorAttribute.Direction INCOMING_AND_OUTGOING

Attribute used for both directions.

### Method Detail

#### values

    public static ConnectorAttribute.Direction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ConnectorAttribute.Direction c : ConnectorAttribute.Direction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ConnectorAttribute.Direction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null